<?php
/**
 * Adds main menu functionality
 *
 * @package Gust
 */

defined( 'ABSPATH' ) || die();

class Gust_Menu {

	public function __construct() {
		add_filter( 'nav_menu_css_class', array( $this, 'item_class' ) );
		add_filter( 'page_css_class', array( $this, 'item_class' ) );
		add_filter( 'nav_menu_link_attributes', array( $this, 'link_attributes' ), 10, 2 );
		add_filter( 'page_menu_link_attributes', array( $this, 'link_attributes' ), 10, 2 );
	}

	public function item_class( $class ) {
		$class[] = 'block w-full md:inline-block md:w-auto text-gray-700 mb-2 md:mb-0';
		return $class;
	}

	public function link_attributes( $atts, $item ) {
		$atts['class'] = 'block md:inline-block p-2 border-b-2 border-transparent hover:border-primary';
		if ( $item->current ) {
			$atts['class'] .= ' border-primary';
		}
		return $atts;
	}
}
